# Class AbstractCodeQualityTask

java.lang.Object
org.gradle.api.internal.AbstractTask
org.gradle.api.DefaultTask
org.gradle.api.internal.ConventionTask
org.gradle.api.tasks.SourceTask
org.gradle.api.plugins.quality.AbstractCodeQualityTask

All Implemented Interfaces:
  `Comparable<Task>, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.IConventionAware, org.gradle.api.internal.TaskInternal, Named, ExtensionAware, Task, PatternFilterable, VerificationTask, Configurable<Task>`

Direct Known Subclasses:
  `Checkstyle, CodeNarc, Pmd`

@Incubating @DisableCachingByDefault(because="Super-class, not to be instantiated directly") public abstract class AbstractCodeQualityTask extends SourceTask implements VerificationTask
Base class for code quality tasks.

Since:
  8.4

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from interface Named

  `Named.Namer`

- ## Field Summary

  ### Fields inherited from interface Task

  `TASK_ACTION, TASK_CONSTRUCTOR_ARGS, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractCodeQualityTask()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `configureForkOptions(JavaForkOptions forkOptions)`
  `boolean`
  `getIgnoreFailures()`
  Specifies whether the build should break when the verifications performed by this task fail.
  `protected abstract Property<Boolean>`
  `getIgnoreFailuresProperty()`
  `abstract Property<JavaLauncher>`
  `getJavaLauncher()`
  Java launcher used to start the worker process
  `abstract Property<String>`
  `getMaxHeapSize()`
  The maximum heap size for the worker process.
  `abstract Property<String>`
  `getMinHeapSize()`
  The minimum heap size for the worker process.
  `protected abstract ObjectFactory`
  `getObjectFactory()`
  `protected abstract JavaToolchainService`
  `getToolchainService()`
  `protected abstract WorkerExecutor`
  `getWorkerExecutor()`
  `void`
  `setIgnoreFailures(boolean ignoreFailures)`
  Specifies whether the build should break when the verifications performed by this task fail.

  ### Methods inherited from class SourceTask

  `exclude, exclude, exclude, exclude, getExcludes, getIncludes, getPatternSet, getPatternSetFactory, getSource, include, include, include, include, setExcludes, setIncludes, setSource, setSource, source`

  ### Methods inherited from class org.gradle.api.internal.ConventionTask

  `conventionMapping, conventionMapping, getConventionMapping`

  ### Methods inherited from class DefaultTask

  `compareTo, configure, dependsOn, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExtensions, getFinalizedBy, getGroup, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOutputs, getPath, getProject, getShouldRunAfter, getState, getTaskDependencies, getTemporaryDir, getTimeout, hasProperty, mustRunAfter, onlyIf, onlyIf, onlyIf, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setMustRunAfter, setOnlyIf, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, usesService`

  ### Methods inherited from class org.gradle.api.internal.AbstractTask

  `acceptServiceReferences, appendParallelSafeAction, doNotTrackState, doNotTrackStateIf, getAsDynamicObject, getIdentityPath, getImpliesSubProjects, getLifecycleDependencies, getLoggingManager, getOnlyIf, getReasonNotToTrackState, getReasonsNotToTrackState, getReasonTaskIsIncompatibleWithConfigurationCache, getRequiredServices, getServices, getSharedResources, getStandardOutputCapture, getTaskActions, getTaskIdentity, getTemporaryDirFactory, hasTaskActions, injectIntoNewInstance, isCompatibleWithConfigurationCache, isEnabled, isHasCustomActions, notCompatibleWithConfigurationCache, prependParallelSafeAction, restoreOnlyIf, restoreTaskActions, setImpliesSubProjects`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface Task

  `doNotTrackState, notCompatibleWithConfigurationCache`

- ## Constructor Details

  - ### AbstractCodeQualityTask

    @Inject public AbstractCodeQualityTask()

- ## Method Details

  - ### getIgnoreFailures

    public boolean getIgnoreFailures()
    Specifies whether the build should break when the verifications performed by this task fail.
    Specified by:
      `getIgnoreFailures` in interface `VerificationTask`
    Returns:
      false, when the build should break on failure, true when the failures should be ignored.

  - ### setIgnoreFailures

    public void setIgnoreFailures(boolean ignoreFailures)
    Specifies whether the build should break when the verifications performed by this task fail.
    Specified by:
      `setIgnoreFailures` in interface `VerificationTask`
    Parameters:
      `ignoreFailures` - false to break the build on failure, true to ignore the failures. The default is false.

  - ### getIgnoreFailuresProperty

    @Internal protected abstract Property<Boolean> getIgnoreFailuresProperty()

  - ### getObjectFactory

    @Inject protected abstract ObjectFactory getObjectFactory()

  - ### getToolchainService

    @Inject protected abstract JavaToolchainService getToolchainService()

  - ### getWorkerExecutor

    @Inject protected abstract WorkerExecutor getWorkerExecutor()

  - ### configureForkOptions

    protected void configureForkOptions(JavaForkOptions forkOptions)

  - ### getJavaLauncher

    public abstract Property<JavaLauncher> getJavaLauncher()
    Java launcher used to start the worker process

  - ### getMinHeapSize

    @Optional @Input public abstract Property<String> getMinHeapSize()
    The minimum heap size for the worker process. When unspecified, no minimum heap size is set. Supports units like the command-line option `-Xms` such as `"1g"`.
    Returns:
      The minimum heap size.

  - ### getMaxHeapSize

    @Optional @Input public abstract Property<String> getMaxHeapSize()
    The maximum heap size for the worker process. If unspecified, a maximum heap size will be provided by Gradle. Supports units like the command-line option `-Xmx` such as `"1g"`.
    Returns:
      The maximum heap size.